Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLScriptElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLScriptElementImpl

public interface HTMLScriptElement
extends HTMLElement

Script statements. See the SCRIPT element definition in HTML 4.01.

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getCharset()` The character encoding of the linked resource.
`boolean` | `getDefer()` Indicates that the user agent can defer processing of the script.
`String` | `getEvent()` Reserved for future use.
`String` | `getHtmlFor()` Reserved for future use.
`String` | `getSrc()` URI [IETF RFC 2396] designating an external script.
`String` | `getText()` The script content of the element.
`String` | `getType()` The content type of the script language.
`void` | `setCharset(String charset)` The character encoding of the linked resource.
`void` | `setDefer(boolean defer)` Indicates that the user agent can defer processing of the script.
`void` | `setEvent(String event)` Reserved for future use.
`void` | `setHtmlFor(String htmlFor)` Reserved for future use.
`void` | `setSrc(String src)` URI [IETF RFC 2396] designating an external script.
`void` | `setText(String text)` The script content of the element.
`void` | `setType(String type)` The content type of the script language.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getText

    public String getText()

  The script content of the element.

### setText

    public void setText(String text)

  The script content of the element.

### getHtmlFor

    public String getHtmlFor()

  Reserved for future use.

### setHtmlFor

    public void setHtmlFor(String htmlFor)

  Reserved for future use.

### getEvent

    public String getEvent()

  Reserved for future use.

### setEvent

    public void setEvent(String event)

  Reserved for future use.

### getCharset

    public String getCharset()

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

### setCharset

    public void setCharset(String charset)

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

### getDefer

    public boolean getDefer()

  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.01.

### setDefer

    public void setDefer(boolean defer)

  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.01.

### getSrc

    public String getSrc()

  URI [IETF RFC 2396] designating an external script. See the src attribute definition in HTML 4.01.

### setSrc

    public void setSrc(String src)

  URI [IETF RFC 2396] designating an external script. See the src attribute definition in HTML 4.01.

### getType

    public String getType()

  The content type of the script language. See the type attribute definition in HTML 4.01.

### setType

    public void setType(String type)

  The content type of the script language. See the type attribute definition in HTML 4.01.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.